import { FC } from 'react';
import { FieldTypes } from '../../types/schema';
import { InputBinder } from '../../types/inputBinder';
import { FieldTypeInput } from './field-type-input';

interface IValueProps {
  type: FieldTypes;
  bind: InputBinder;
}

const diceSides = [3, 4, 6, 8, 10, 12, 20, 100];

export const ValueField: FC<IValueProps> = ({type, bind}) => {
  switch (type) {
    case FieldTypes.dice:
      return (
        <label>
          Sides:&nbsp; 
          <select {...bind}>
            {diceSides.map(d => (
              <option value={'d' + d}>{d}</option>
            ))}
          </select>
        </label>
      );
    case FieldTypes.type:
      return (
        <FieldTypeInput bind={bind} />
      )
    case FieldTypes.number:
      return (
        <input type="number" {...bind} />
      )
    default:
       return <></>;
  }
}
